%define major 5

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:       flowcanvas
Version:    0.7.1
Release:    %mkrel 1

Summary:    An interactive Gtkmm/Gnomecanvasmm widget
License:    GPLv2+
Group:      System/Libraries
Url:        http://drobilla.net/software/flowcanvas/
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.xz
Patch0:         flowcanvas-0.7.1-graphviz23.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  waf
BuildRequires: %{_lib}art_lgpl-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gnomecanvas2_0-devel
BuildRequires: %{_lib}gnomecanvasmm2.6-devel
BuildRequires: %{_lib}graphviz-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel

%description
FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for "boxes
and lines" style environments (e.g. modular synths or interactive
finite state automata diagrams).

%package -n %{libname}
Summary:    %{summary}
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for "boxes
and lines" style environments (e.g. modular synths or interactive
finite state automata diagrams).

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/Libraries

Provides:   %{name}-devel = %{version}-%{release}
Requires:   %{libname} = %{version}

%description -n %{develname}
This package contains development files for %{name}.

%prep
%setup -q
%patch0 -p1 -b .graphviz23

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
export LIB_AGRAPH="cgraph"
./waf configure \
        --prefix=%{_prefix} \
        --libdir=%{_libdir} \
        --docs \
        --htmldir=%{_docdir}/%{name}-devel

./waf build -v %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ./waf install

# Correct permission
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so.*

#remove
rm -rf %buildroot/%{_datadir}/doc/flowcanvas-devel

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%{_libdir}/lib%{name}.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}


%changelog
* Sat May 30 2015 gseaman <galen.seaman at comcast.net> 0.7.1-1gseaman2015
- first build of this old program
